| dfeofdm Vitis Drivers API Documentation

- Overview
- Data Structures
- APIs
- File List
- Examples

Functions
xdfeofdm_examples.c File Reference

## Overview

This file contains the examples main function.

Note: MGT si570 oscillator is set to 152.25MHz by default. The DFE IP wrapper requires MGT clock to be set to 122.88MHz (some IP use 61.44MHz). Prerequisite is to set the MGT si570 oscillator to the required IP before running the example code. This is for the ZCU670 production platform.

    MODIFICATION HISTORY:

    Ver   Who    Date     Changes

    1.0   dc     11/21/22 Initial version
    1.1   cog    07/18/23 Modify example for SDT flow
    1.2   cog    04/20/24 Configure si570 in Linux examples

## Functions
int | XDfeSi570_SetMgtOscillator (double CurrentFrequency, double NewFrequency)
| This function: initialize I2C bus, reads current state of si570, calculates parameters for si570 MGT oscillator new frequency, writes them to si570 and resets PL to use the new frequency. More...
int | XDfeOfdm_AddCCExample ()
| This function runs the DFE OFDM device using the driver APIs. More...
int | XDfeOfdm_MultiAddCCExample ()
| This function runs the DFE OFDM device using the driver APIs. More...
int | main (void)
| Main function that invokes the polled example in this file. More...

## Function Documentation

int main | ( | void |  | ) |

Main function that invokes the polled example in this file.

Parameters

  None. |

Returns
  - XST_SUCCESS if the example has completed successfully.
  - XST_FAILURE if the example has failed.

References XDfeOfdm_AddCCExample(), XDfeOfdm_MultiAddCCExample(), XDfeSi570_SetMgtOscillator(), XST_FAILURE, and XST_SUCCESS.

int XDfeSi570_SetMgtOscillator | ( | double | CurrentFrequency,
|  | double | NewFrequency
| ) |  |

This function: initialize I2C bus, reads current state of si570, calculates parameters for si570 MGT oscillator new frequency, writes them to si570 and resets PL to use the new frequency.

Parameters

  CurrentFrequency | MGT oscillator current frequency.
  NewFrequency | MGT oscillator new frequency.

Returns
  None

Note
  None

References XST_FAILURE, and XST_SUCCESS.

Referenced by main().